/*
 * Copyright 2010-2013 Duplichien, Wicksell, Springjutsu.org
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.springjutsu.validation.exceptions;

/**
 * Indicates that a validation template referenced itself, 
 * either directly, or within another nested reference. 
 * @author Clark Duplichien
 *
 */
public class CircularValidationTemplateReferenceException extends IllegalStateException {

	private static final long serialVersionUID = 1L;

	public CircularValidationTemplateReferenceException(String message) {
		super(message);
	}

}
